Subject: Re: [Megaco] Re: Mandatory serviceChangeReason parameter?

From: [email-masked]
Date: Mon, 2 Oct 2006 06:25:00 +0200

ServiceChangeMethod AND ServiceChangeReason are BOTH MANDATORY.
See H.248.1 § 7.1.13 and Annexes A or B.
- Albrecht

                      "Ron Ho"                                                                                                          
                      <ron.ho.megaco@g         To:      megaco <[email-masked]>                                                        
                      mail.com>                cc:                                                                                      
                                               Subject: [Megaco] Re: Mandatory serviceChangeReason parameter?                           
                      30.09.2006 22:04                                                                                                  

Hi All,

I digged up an old message about the servicechange reason. Kevin indicated
that it is mandatory. I believe it still hold true, right? I have seen
vendors' SC request with no reason code attached. Just wanted to confirm.

Thanks,
Ron

===============================================
    * To: Rasool Wani <[email-masked]>, [email-masked] , Samuel
Tardieu <[email-masked]>
    * Subject: RE: [Megaco] Mandatory serviceChangeReason parameter?
    * From: "Kevin Boyle" < [email-masked]>
    * Date: Thu, 29 Jan 2004 04:37:30 -0500
    * List-help: <mailto:[email-masked]?subject=help>
    * List-id: Media Gateway Control < megaco.ietf.org>
    * List-post: <mailto:[email-masked]>
    * List-subscribe: < https://www1.ietf.org/mailman/listinfo/megaco
>,<mailto:[email-masked]?subject=subscribe>
    * List-unsubscribe: < https://www1.ietf.org/mailman/listinfo/megaco
>,<mailto:[email-masked]?subject=unsubscribe>
    * Sender: [email-masked]

ServiceChangeReason is mandatory.  The example in Appendix I has an error.

It is important to note that the Appendix is not normative text.  It only
provides guidance as to one possible protocol use, but should not be taken
as mandatory usage.

Kevin _______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco